<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  
  {% load static %}
  <link rel="shortcut icon" href="{%  static 'media/favicon.ico' %}">

  <title>{% block title %}{% endblock %}</title>

  {% load static %}
  <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}">
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css">
  
  {% block styles %}{% endblock %} <!-- Блок для дополнительных стилей -->
</head>
<body>
  <div class="background">
      <img src="{% static 'media/ChatGPT.png' %}" class="img-fluid" alt="My_image">
  </div>

  <header>
    <!-- Блок шапки, использует стили подгружаемых скриптов из блока <scripts> -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
      <div class="container">
        <a class="navbar-brand" href="{% url 'main' %}">ChatGPT Profession course</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item">
              <a class="nav-link btn btn-dark" href="{% url 'main' %}">Главная</a>
            </li>
            <li class="nav-item">
              <a class="nav-link btn btn-dark" href="{% url 'chatbot' %}" style="margin-left: 10px;">Чат</a>
            </li>
            <li class="nav-item">
              <a class="nav-link btn btn-dark" href="{% url 'stats' %}" style="margin-left: 10px;">Статистика</a>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header>

  <main>
    {% block content %}

      {% block scripts %}{% endblock %}

    {% endblock content %}
  </main>

  <!-- Блок подгружаемых внешних скриптов -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></scripts>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>

</body>

{% comment %} <!-- Подвал сайта --> {% endcomment %}
<footer class="footer">
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark footer">
    <div class="container">
      <div class="footer-content">
        <div class="footer-text-left">© Университет Искусственного Интеллекта. Курс ChatGPT. Учебный проект</div>
        <div class="footer-text-right">2023 год</div>
      </div>
    </div>
  </nav>
</footer>

</html>